﻿using System;
using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.hyperlink.MouseEnter += hyperlink_MouseEnter;
            this.hyperlink.MouseLeave += hyperlink_MouseLeave;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 하이퍼링크 마우스 진입시 처리하기 - hyperlink_MouseEnter(sender, e)

        /// <summary>
        /// 하이퍼링크 마우스 진입시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void hyperlink_MouseEnter(object sender, EventArgs e)
        {
            this.hyperlink.TextDecorations = TextDecorations.Underline;
        }

        #endregion
        #region 하이퍼링크 마우스 이탈시 처리하기 - hyperlink_MouseLeave(sender, e)

        /// <summary>
        /// 하이퍼링크 마우스 이탈시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void hyperlink_MouseLeave(object sender, EventArgs e)
        {
            this.hyperlink.TextDecorations = null;
        }

        #endregion
    }
}